# class DBus::IntrospectXMLParser::REXMLParser

### Public Class Methods

new(xml) click to toggle source

    # File lib/dbus/xml.rb, line 84
    def initialize(xml)
      @doc = REXML::Document.new(xml)
    end

### Public Instance Methods

each(path, &block) click to toggle source

    # File lib/dbus/xml.rb, line 87
    def each(path, &block)
      @doc.elements.each(path) { |node| block.call REXMLNode.new(node) }
    end